Bug 173924 - Review Request: xmlstarlet - command-line XML Swiss army knife
Review Request: xmlstarlet - command-line XML Swiss army knife
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ignacio Vazquez-Abrams
David Lawrence
http://xmlstar.sourceforge.net/
:
: 173923 (view as bug list)
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-11-22 13:09 EST by Paul W. Frields
Modified: 2009-11-06 18:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-28 11:45:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul W. Frields 2005-11-22 13:09:54 EST
Spec Name or Url: http://rpm.frields.org/extras-testing/xmlstarlet/xmlstarlet.spec
SRPM Name or Url: http://rpm.frields.org/extras-testing/xmlstarlet/xmlstarlet-1.0.2-1.1.src.rpm
Description:
XMLStarlet is a set of command line utilities which can be used
to transform, query, validate, and edit XML documents and files
using simple set of shell commands in similar way it is done for
plain text files using UNIX grep, sed, awk, diff, patch, join, etc
commands.

In July 2005, Ignacio Vazquez-Abrams submitted this on-list for review, and withdrew it because there were numerous things that needed patching.  Thanks to Ignacio and Tommy Reynolds, I think this software can be offered again for FE review and inclusion.  Ignacio has graciously agreed to hand this off to me for shepherding.

This utility is intended to form part of the Fedora Documentation Project toolchain, since we deal primarily in DocBook XML, so we would appreciate a reviewer's attention.  Thank you!
Comment 1 Paul W. Frields 2005-11-22 13:11:10 EST
*** Bug 173923 has been marked as a duplicate of this bug. ***
Comment 2 Daniel Veillard 2005-11-22 17:16:34 EST
In general I think inclusion of xmlstarlet makes sense,

Daniel
Comment 3 Paul W. Frields 2005-11-22 17:17:40 EST
Oops, there was a small snafu between Tommy and me, so please disregard the
earlier URLs.  Here are the corrected versions:

Spec:  http://rpm.frields.org/extras-testing/xmlstarlet/xmlstarlet.spec
SRPM:  http://rpm.frields.org/extras-testing/xmlstarlet/xmlstarlet-1.0.1-1.1.src.rpm
Comment 4 Paul W. Frields 2005-11-22 18:43:48 EST
Additional fixes to make the command name in the included docs consistent.  New
versions:

Spec:  http://rpm.frields.org/extras-testing/xmlstarlet/xmlstarlet.spec
SRPM:  http://rpm.frields.org/extras-testing/xmlstarlet/xmlstarlet-1.0.1-1.2.src.rpm
Comment 5 Ignacio Vazquez-Abrams 2005-11-22 21:53:22 EST
I'm getting a 403 on the spec file.
Comment 6 Ignacio Vazquez-Abrams 2005-11-22 22:19:42 EST
- Source0 should be
http://dl.sourceforge.net/xmlstar/xmlstarlet-%{version}.tar.gz, replacing
%{name} in there is optional
- Files in %{_mandir} are already marked %doc
! Releases with subreleases (X.Y) might cause problems with the disttag
+ Upstream source (from proper location) matches
+ Correct permissions
+ Builds cleanly in mock
+ No rpmlint warnings or errors
Comment 7 Paul W. Frields 2005-11-23 07:53:36 EST
Handled all your comments, Ignacio.  Sorry about the spec file mode -- I fixed
that as well.  I was only using the subreleases for my private packages but I've
gone ahead and removed them for this release, now 2%{?dist}.  They are available
here:

Spec:  http://rpm.frields.org/extras-testing/xmlstarlet/xmlstarlet.spec
SRPM:  http://rpm.frields.org/extras-testing/xmlstarlet/xmlstarlet-1.0.1-2.src.rpm

Thanks for your prompt review!
Comment 8 Paul W. Frields 2005-11-25 20:09:19 EST
Ignacio, any chance to look at the revision?
Comment 9 Ignacio Vazquez-Abrams 2005-11-26 05:30:49 EST
Sorry, got distracted for a bit. APPROVED, unless someone else can think of a
reason to veto it.
Comment 10 Xavier Bachelot 2009-11-04 10:59:28 EST
Paul, would you mind maintaining an EL5 branch for xmlstarlet ? I can offer to maintain the branch myself if you don't want to.

Regards,
Xavier
Comment 11 Paul W. Frields 2009-11-04 12:04:44 EST
I don't mind; the code hasn't changed in a long time and appears to work well everywhere I've used it.  (IIRC there's a test suite that runs in the build process.)
Comment 12 Paul W. Frields 2009-11-04 12:08:02 EST
Package Change Request
======================
Package Name: xmlstarlet
New Branches: EL-5
Owners: pfrields
Comment 13 Kevin Fenzi 2009-11-06 15:46:22 EST
cvs done.
Comment 14 Paul W. Frields 2009-11-06 18:31:14 EST
Thank you Kevin -- tagged, built, and requested for EPEL testing. Xavier, after the next push for EPEL testing you should find the package there.  Please take the time to give it a +1 karma in bodhi if everything works for you:

https://admin.fedoraproject.org/updates/xmlstarlet

Note You need to log in before you can comment on or make changes to this bug.